@echo on
::
::  Copyright (c) 2011, SAS Institute Inc. 
::  Unpublished - All Rights Reserved 
:: 
:: 
::  readWebAppSrvLogs.bat - Usage measurement read web application server logs script, executes runArtifactAnalyzerWebAppSrv.sas
::

:: Source Environment Variables
call ".\setEnvLogs.bat"

cd "%sasUsageDir%"

set SASLOGDIR=%sasUsageDir%\ApmRunLogs
set SASCMD=%sasInstallDir%\sas
::set SASOPTS=-fullstimer -noterminal -batch -errorabend -errorabend -nosplash -icon -noxwait 
set SASOPTS=-fullstimer -noterminal -batch -nosplash -icon -noxwait 
set SOURCE=runArtifactAnalyzerWebAppSrv.sas
set SASPGM=%sasUsageDir%\SASEnvironment\SASCode\Jobs\%SOURCE%


for %%f in ("%sasusagedir%\setEnvLogs*.sas") do call :processfile %%~nf%%~xf
goto:copyreport

:processfile:
   echo NOTE: Executing %SOURCE% with environment file %1
   "%SASCMD%" %SASOPTS% -sysparm %1 -sysin "%saspgm%" -config "%sasUsageDir%\sasv9.cfg" -log "%SASLOGDIR%\%SOURCE%_%1.log"
   echo %SASPGM% with environment file %1 completed with rc %ERRORLEVEL%. 
   goto :eof 

:: Finally, push generated HTML reports from the Html/Results directory
:copyreport

xcopy /y /e /s "%sasUsageDir%\Html\Results" "%HTTPServerPath%"

:endbatch
echo Note: Done with Reading Logs
exit /b 0